Reenviar uma entrega de webhook falha
curl --request POST \
--url https://slc.sandbox.lerian.net/webhooks/{id}/deliveries/{deliveryId}/replay \
--header 'Authorization: Bearer <token>'import requests
url = "https://slc.sandbox.lerian.net/webhooks/{id}/deliveries/{deliveryId}/replay"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://slc.sandbox.lerian.net/webhooks/{id}/deliveries/{deliveryId}/replay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Reenviar uma entrega de webhook falha
Reenfileira uma entrega não entregue (FAILED/RETRYING/PENDING) para reentrega, reconstruída a partir do payload persistido. A entrega deve pertencer a (senão 404); uma entrega com sucesso terminal é rejeitada com 409. Requer a chave de partição createdAt. Retorna 202 Accepted; idempotente no consumidor.
POST
/
webhooks
/
{id}
/
deliveries
/
{deliveryId}
/
replay
Reenviar uma entrega de webhook falha
Autorizações
JWT bearer token issued by the identity provider.
Parâmetros de caminho
Subscription id (UUID).
Exemplo:
"0190b5a0-0000-7000-8000-0000000000aa"
Delivery id (UUID).
Exemplo:
"0190b5a0-0000-7000-8000-0000000000dd"
Parâmetros de consulta
Delivery created_at partition key (RFC3339). Required.
Exemplo:
"2026-06-15T07:50:00Z"
Resposta
Accepted
Esta página foi útil?

